/// <reference types="google.maps" />
import { AfterViewInit, ElementRef, NgZone, QueryList } from "@angular/core";
import { GoogleMap, MapInfoWindow } from "@angular/google-maps";
import { AddressDto } from "@smallstack/axios-api-client";
import { CustomizationModeStore, StoreRegistry } from "@smallstack/common-components";
import { PageableStore } from "@smallstack/store";
import { SearchQuery } from "@smallstack/typesystem";
import { BaseWidgetComponent, SocketAwareWidget } from "@smallstack/widget-core";
import { SocketNames } from "./configuration";
import * as i0 from "@angular/core";
export declare class GoogleMapsListWidgetComponent extends BaseWidgetComponent implements AfterViewInit, SocketAwareWidget {
    private storeRegistry;
    protected customizationModeStore: CustomizationModeStore;
    private ngZone;
    googleMapQuery: QueryList<GoogleMap>;
    mapInfoWindow: MapInfoWindow;
    mapSearchField: ElementRef;
    map: GoogleMap;
    geoCoder: google.maps.Geocoder;
    address: AddressDto;
    mapOptions: google.maps.MapOptions;
    openedMarker: google.maps.Marker;
    isLoadingMarkers: boolean;
    baseStoreSearch: SearchQuery;
    store: PageableStore;
    private readonly addressDtoKeys;
    private loadMarkers$;
    private markerClusterer;
    private tempMarkers;
    private googleSearchMarkers;
    constructor(storeRegistry: StoreRegistry, customizationModeStore: CustomizationModeStore, ngZone: NgZone);
    handleSocketData(socketName: SocketNames, data?: any): Promise<void>;
    ngAfterViewInit(): void;
    handleData(data: {
        address: AddressDto;
        storeSearch: SearchQuery;
        mouseWheelZoomEnabled: boolean;
        mapType: string;
        store: string;
        mapStyles: any;
    }, context?: any): Promise<void>;
    performSearch(address: string, addMarker?: boolean): Promise<void>;
    loadMarkers(): Promise<void>;
    updateBaseStoreSearch(storeSearch: SearchQuery): void;
    createMarkerForAddress(entry: any, addressProperty: string): Promise<any>;
    zoomChanged(): void;
    private getMarkerIcon;
    private addZoomToIcon;
    private createSearch;
    static ɵfac: i0.ɵɵFactoryDeclaration<GoogleMapsListWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GoogleMapsListWidgetComponent, "ng-component", never, {}, {}, never, never, true, never>;
}
