import { ApiQueryRequest, Page } from "@smallstack/api-shared";
import { AxiosApiClient, PdfTemplateDto } from "@smallstack/axios-api-client";
import { Draft, DraftOptions, DraftService } from "@smallstack/common-components";
import { PageableCrudStore } from "@smallstack/store";
import * as i0 from "@angular/core";
export declare class PdfTemplateStore extends PageableCrudStore<PdfTemplateDto> {
    private axiosApiClient;
    private draftService;
    constructor(axiosApiClient: AxiosApiClient, draftService: DraftService);
    getDraft(options?: DraftOptions<PdfTemplateDto>): Draft<PdfTemplateDto>;
    protected createModel(pdfTemplate: PdfTemplateDto): Promise<PdfTemplateDto>;
    protected patchModel(id: string, pdfTemplate: Partial<PdfTemplateDto>): Promise<PdfTemplateDto>;
    protected putModel(pdfTemplate: PdfTemplateDto): Promise<PdfTemplateDto>;
    protected deleteModelById(id: string): Promise<any>;
    protected deleteModelsByIds(ids: string[]): Promise<void>;
    protected loadModels(query: ApiQueryRequest): Promise<Page<PdfTemplateDto>>;
    protected loadModelById(id: string): Promise<PdfTemplateDto>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PdfTemplateStore, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PdfTemplateStore>;
}
